# SLUB B!SON TYPO3 Extension 

B!SON helps you to find a suitable Open Access journal for your publication by leveraging semantic and bibliometric methods. Simply enter the details of your manuscript below or fetch the details of a paper via its DOI or arXiv ID. It is not necessary to provide all fields.
The journal information is provided by the Directory of Open Access Journals (DOAJ). We cannot guarantee the correctness and details (like costs) should be checked on the journal homepage before submitting.

## Installation

The basic knowledge about TYPO3 and Composer is necessary for the installation.

### Composer Commands

```
composer config repositories.slub-bison git https://git.slub-dresden.de/typo3/extensions/slub-bison.git
composer require slub/bison:dev-main
```

## Frontend Configuration

### Journal Page UID
![Journal Page UID Configuration](Documentation/bison-configuration6.png)

It is necessary to configure page UID for Journal plugin.

## Backend Configuration

There are 5 sections in the backend extension settings:
- Display
- File
- License
- Contact
- System

### Display Settings
![Display Settings](Documentation/bison-configuration1.png)

There are 3 sections in this tab:
- display mismatched results - true or false
- display mirror journals  - true or false
- maximal APC - integer, 0 means no limit is set up

### File Settings
![File Settings](Documentation/bison-configuration2.png)

There are 3 sections in this tab:
- path to the file with local prices - string
- path to the file with index databases - string
- path to the file with mirror journals - string

### License Settings
![License Settings](Documentation/bison-configuration3.png)

There is only one section in this tab. It is possible to choose there for which licenses results should be displayed.

### Contact Settings
![Contact Settings](Documentation/bison-configuration4.png)

There are 3 sections in this tab:
- name of the contact person - string
- email of the contact person - string
- URL of the contact person - string
### System Settings
![System Settings](Documentation/bison-configuration5.png)

There is only one section in this tab. It is possible to define there User Agent for HTTP requests.

## Files

Allowed file types:
- CSV
- XLSX

### Index Databases

CSV containing list of journals with information in which index databases they are available.

#### Columns

1. **P-ISSN** - possible values: ISSN numbers in format *xxxx-xxxx* or empty
2. **E-ISSN** - possible values: ISSN numbers in format *xxxx-xxxx*
3. **PubMed** - possible values: *Y* or *N*
4. **OpenAlex** - possible values: *Y* or *N*
5. **Web of Science** - possible values: *Y* or *N*
6. **Scopus** - possible values: *Y* or *N*

#### Example
| P-ISSN | E-ISSN | PubMed | OpenAlex | Web of Science | Scopus |
| -------- | -------- | -------- | -------- | -------- | -------- |
|  | 2473-6988 | Y | Y | N | N |
| 0886-7356 | 1548-1360 | Y | Y | N | N |


### Local Prices

CSV containig list of journals with local prices.

#### Columns

1. **P-ISSN** - possible values: ISSN numbers in format *xxxx-xxxx* or empty
2. **E-ISSN** - possible values: ISSN numbers in format *xxxx-xxxx*
3. **Betrag** - possible values: price in format *xxx* or *xxx,xx*
4. **Währung** - possible values: currency code e.g *USD* or *EUR*
5. **Finanzierung** - possible values: *Vollfinanzierung* (something else?)
6. **Source** - possible values: *URL*

#### Example
| P-ISSN | E-ISSN | Betrag | Währung | Finanzierung | Source |
| -------- | -------- | -------- | -------- | -------- | -------- |
|  | 2473-6988 | 1200 | USD | Vollfinanzierung | URL |
| 0886-7356 | 1548-1360 | 0 | EUR | Vollfinanzierung | URL |


### Mirror Journals

CSV containig list of mirror journals.

#### Columns

1. **Publisher** - possible values: name of publisher
2. **Journal title** - possible values: title of mirror journal
3. **ISSN Mirror Journal (OA)** - possible values: ISSN numbers in format *xxxx-xxxx*
4. **Journal URL** - possible values: *URL*
5. **Check URL in DOAJ** - possible values: *URL*
6. **Original Journal (Subscription)** - possible values: title of original journal
7. **Original Journal is hybrid** - possible values: *ja* or *nein*
8. **ISSN Original Journal (closed)** - ISSN numbers in format *xxxx-xxxx*
9. **Mirror Journal [ja/nein]** - possible values: *ja* or *nein*
10. **Title discontinued** - possible values: year in format *xxxx* or empty
11. **letze Prüfüng am** - possible value: date in format *xx.xx.xxxx*

#### Example
| Publisher | Journal title | ISSN Mirror Journal (OA) | Journal URL | Check URL in DOAJ | Original Journal (Subscription) | Original Journal is hybrid | ISSN Original Journal (closed) | Mirror Journal [ja/nein] | Title dis. | letze Prüfüng am |
| -------- | -------- | -------- | -------- | -------- | -------- | -------- | -------- | -------- | -------- | -------- |
| Elsevier | Title | 2590-1613 | https://xyz.ab | https://doaj.org/ | Title | ja | 0301-2115 | Ja (discontinued) | 2022 | 25.07.2022 |
| Elsevier | Title | 2590-1614 | https://xyz.ab | https://doaj.org/ | Title | ja | 0301-2116 | Ja |  | 25.07.2022 |

## Maintainer

If you have any questions or encounter any problems, please do not hesitate to contact us.

- [Beatrycze Volk](https://git.slub-dresden.de/kmiec)
